<style>
    table {
          width: 100% !important;
      }
      .danger{
      background-color:#f44336 !important;
    }
  
    #products > .center > .header .search-wrapper {
  width: 100%;
  max-width: 480px;
  background-color: #ffffff;
  border-radius: 28px;
  overflow: hidden;
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }
  #products > .center > .header .search-wrapper .search input {
  width: 100%;
  height: 48px;
  min-height: 48px;
  max-height: 48px;
  padding: 0 16px;
  border: none;
  outline: none;
  }
  
  .header .search-wrapper .search .mat-icon {
  color: rgba(0, 0, 0, 0.54);
  }
  .mat-icon {
  background-repeat: no-repeat;
  display: inline-block;
  fill: currentColor;
  height: 24px;
  width: 24px;
  }
  .mat-icon {
  font-weight: 400 !important;
  line-height: 1;
  }
  </style>
  <div id="products" class="page-layout carded fullwidth">
  
      <!-- TOP BACKGROUND -->
      <div class="top-bg accent"></div>
      <!-- / TOP BACKGROUND -->
  
      <!-- CENTER -->
      <div class="center">
  
          <!-- HEADER -->
          <div class="header accent"
               fxLayout="column" fxLayoutAlign="center center"
               fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">
  
              <!-- APP TITLE -->
              <div class="logo mb-24 mb-md-0"
                   fxLayout="row" fxLayoutAlign="start center">
                  <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    report
                  </mat-icon>
                  <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                      {{title}}
                  </span>
              </div>
              <!-- / APP TITLE -->

  
          </div>
          <!-- / HEADER -->
  
          <!-- CONTENT CARD -->
          <div class="content-card">
              <mat-card *ngIf="isLoading" 
            style="display: flex; justify-content: center; align-items: center">
           <mat-progress-spinner 
             color="primary" 
             mode="indeterminate">
           </mat-progress-spinner>
         </mat-card>
         <div fusePerfectScrollbar> 
            <table mat-table  *ngIf="!isLoading" [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
            fusePerfectScrollbar>

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef>#</th>
            <!-- <td mat-cell *matCellDef="let element; let i = index;">  {{element.id}}  </td> -->
            <td mat-cell *matCellDef="let element; let i = index;">   {{ (paginatorRef.pageIndex * paginatorRef.pageSize) + (i + 1) }}    </td>
          </ng-container>
        

        <ng-container matColumnDef="processor_count">
            <th mat-header-cell *matHeaderCellDef> Processor Count  </th>
            <td mat-cell *matCellDef="let element">{{element.processorCount}} </td>
        
          </ng-container>
        
          <!-- Weight Column -->
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef>Date/Time </th>
            <td mat-cell *matCellDef="let element"> {{element.crd}} </td>
          </ng-container>
          <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef> Status </th>
            <td mat-cell *matCellDef="let element">
                <span *ngIf="element.status==1">Sent</span>
                <span *ngIf="element.status==0">In Progress</span>
                <span *ngIf="element.status==2">Generated Report</span>
                &nbsp; &nbsp; &nbsp;
            </td>
          </ng-container>

          <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef>Action</th>
            <td mat-cell *matCellDef="let element">
              <button [routerLink]="['/apps/admin/manage-processor-report', element.id,'reports']"   mat-raised-button color="accent"> View Reports</button> 
              <button  mat-raised-button color="accent" (click)="download(element.id)"> Download Reports</button> 
              <!-- <button [routerLink]="['/apps/admin/Manage-Notes', element.id,'refund']"  mat-raised-button  color="accent">Notes</button>  -->
            </td>
          </ng-container>
        
              
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
            <center *ngIf=" !isLoading && dataSource.filteredData.length == 0">No Records Found!</center>
            <mat-paginator #paginatorRef [length]="10" [pageSize]="10" [pageSizeOptions]="[10,20,30,40,50]"></mat-paginator>

              </div>
            </div>
          <!-- / CONTENT CARD -->
      </div>
      <!-- / CENTER -->
  </div>
  